Page MenuHomePhabricator

Search overlay clear icon is misplaced on Nokia Lumia 930 / Windows Phone 8.1
Closed, ResolvedPublic

Description

Visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page on the above mentioned device, click on the search bar, and type something in the search overlay form. You'll see something like this:

Expected: The clear icon (top right) should be aligned (vertically) in the middle of the search form.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterCalculate absolute position of clear button

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 12 2016, 5:32 AM

Is this a regression or a new thing? (ie. what is the behaviour like on production?)

It's a regression. This is what I see in production:

dr0ptp4kt updated the task description. (Show Details)Jul 13 2016, 5:22 PM
Jdlrobson updated the task description. (Show Details)Jul 13 2016, 8:45 PM
Jdlrobson added a subscriber: dr0ptp4kt.

@dr0ptp4kt I've removed the devices to test on since this is a regression from T138286 which lists those already.

Change 298871 had a related patch set uploaded (by Jdlrobson):
Calculate absolute position of clear button

https://gerrit.wikimedia.org/r/298871

phuedx added a subscriber: phuedx.EditedJul 14 2016, 9:22 AM

Further to my review of 298871: Calculate absolute position of clear button:

Browser: Safari (9.1.1)
OS: 10.11.5

N.B. that I couldn't +2 this even if I wanted to as I don't have access to a Windows Phone 8.1 emulator. Who has a BrowserStack account?

@phuedx, I do. I'll forward my credentials to your email.

Jhernandez triaged this task as Unbreak Now! priority.Jul 14 2016, 5:11 PM
Jhernandez moved this task from Incoming to 2016-17 Q1 on the Readers-Web-Backlog board.
Restricted Application added subscribers: Luke081515, TerraCodes. · View Herald TranscriptJul 14 2016, 5:11 PM

Change 298871 merged by jenkins-bot:
Calculate absolute position of clear button

https://gerrit.wikimedia.org/r/298871

phuedx removed Jdlrobson as the assignee of this task.EditedJul 15 2016, 10:59 AM

As I noted during my review of the change, I tested it in the following browsers:

  • Chrome (51.0.2704.103)
  • Firefox (47.0.1)
  • Safari (9.1.1)
  • IE11 on Lumia 930/Windows Phone 8.1
  • IE9 on Windows 7
  • IE10 on Windows 7
dr0ptp4kt closed this task as Resolved.Jul 15 2016, 5:58 PM
dr0ptp4kt claimed this task.

It's unclear to me if it's this patch or if it's another patch, but en.m.wikipedia.beta.wmflabs.org now has a couple of oddities.

I'm marking this task as resolved given @phuedx's testing on the Lumia (and my verification in Safari for iOS 9 phone plus Chrome for Android 5 phone and tablet), but here they are for reference:

In Opera Mini, prior to entering the search bar at all, the magnifying glass is now appearing (good), but it's mashed into the placeholder text (similar to how the search results page was showing up).

On Windows Phone 7.5 IE, the magnifying glass is now appearing (good), but it's squished. That's both prior to search and while in the midst of searching.

I created T140487 as it came up on another patchset review. Can you confirm that Windows 7 phone runs IE9?

@dr0ptp4kt this needs story points. Who did the task?

@MBinder_WMF this was a regression based on the planned sprint work of the pointed T138286 thus it shouldn't be pointed.